#include<iostream> 
#include<string>
using namespace std;
int main(){
	string s;
	int n;
	while(cin>>n){
		cin>>s;
		if(n<s.size()){
			for(int i=0;i<n;i++){	
			cout<<s[i];	
		}
			cout<<"..."<<endl;
	}
		else	
			cout<<s<<endl;	
	}
	return 0;
}